;~ This file is part of ClipKeeper.

;~     ClipKeeper is free software: you can redistribute it and/or modify
;~     it under the terms of the GNU General Public License as published by
;~     the Free Software Foundation, either version 3 of the License, or
;~     (at your option) any later version.

;~     ClipKeeper is distributed in the hope that it will be useful,
;~     but WITHOUT ANY WARRANTY; without even the implied warranty of
;~     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;~     GNU General Public License for more details.

;~     You should have received a copy of the GNU General Public License
;~     along with ClipKeeper.  If not, see <http://www.gnu.org/licenses/>.
Func GetWorkArea($Dim = -1)
	Local $SPI_GETWORKAREA = 48
	Local $Area[4]
	Local $StartRect = DllStructCreate("int[4]")
	Local $PStartRect = DllStructGetPtr($StartRect)
	Local $res = DllCall("user32.dll","int","SystemParametersInfo","int",$SPI_GETWORKAREA,"int",0,"ptr",$PStartRect,"int",0)
	$Area[0] = DllStructGetData($StartRect,1,1)
	$Area[1] = DllStructGetData($StartRect,1,2)
	$Area[2] = DllStructGetData($StartRect,1,3)
	$Area[3] = DllStructGetData($StartRect,1,4)
	If($Dim >= 0 And $Dim < UBound($Area, 1)) Then
		$Area = $Area[$Dim]
	EndIf
	Return $Area
EndFunc
