Func GetGNU_GPL()
	Local $GNUGPL = "     GNU GENERAL PUBLIC LICENSE" & @CRLF & _
					"      Version 3, 29 June 2007" & @CRLF & @CRLF & _
					" Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>" & _
					" Everyone is permitted to copy and distribute verbatim copies" & _
					" of this license document, but changing it is not allowed." & @CRLF & @CRLF & _
					"               Preamble" & @CRLF & @CRLF & _
					"  The GNU General Public License is a free, copyleft license for" & _
					"software and other kinds of works." & @CRLF & @CRLF & _
					"  The licenses for most software and other practical works are designed" & _
					"to take away your freedom to share and change the works.  By contrast," & _
					"the GNU General Public License is intended to guarantee your freedom to" & _
					"share and change all versions of a program--to make sure it remains free" & _
					"software for all its users.  We, the Free Software Foundation, use the" & _
					"GNU General Public License for most of our software; it applies also to" & _
					"any other work released this way by its authors.  You can apply it to" & _
					"your programs, too." & @CRLF & @CRLF & _
					"  When we speak of free software, we are referring to freedom, not" & _
					"price.  Our General Public Licenses are designed to make sure that you" & _
					"have the freedom to distribute copies of free software (and charge for" & _
					"them if you wish), that you receive source code or can get it if you" & _
					"want it, that you can change the software or use pieces of it in new" & _
					"free programs, and that you know you can do these things." & @CRLF & @CRLF & _
					"  To protect your rights, we need to prevent others from denying you" & _
					"these rights or asking you to surrender the rights.  Therefore, you have" & _
					"certain responsibilities if you distribute copies of the software, or if" & _
					"you modify it: responsibilities to respect the freedom of others." & @CRLF & @CRLF & _
					"  For example, if you distribute copies of such a program, whether" & _
					"gratis or for a fee, you must pass on to the recipients the same" & _
					"freedoms that you received.  You must make sure that they, too, receive" & _
					"or can get the source code.  And you must show them these terms so they" & _
					"know their rights." & @CRLF & @CRLF & _
					"  Developers that use the GNU GPL protect your rights with two steps:" & _
					"(1) assert copyright on the software, and (2) offer you this License" & _
					"giving you legal permission to copy, distribute and/or modify it." & @CRLF & @CRLF & _
					"  For the developers' and authors' protection, the GPL clearly explains" & _
					"that there is no warranty for this free software.  For both users' and" & _
					"authors' sake, the GPL requires that modified versions be marked as" & _
					"changed, so that their problems will not be attributed erroneously to" & _
					"authors of previous versions." & @CRLF & @CRLF & _
					"  Some devices are designed to deny users access to install or run" & _
					"modified versions of the software inside them, although the manufacturer" & _
					"can do so.  This is fundamentally incompatible with the aim of" & _
					"protecting users' freedom to change the software.  The systematic" & _
					"pattern of such abuse occurs in the area of products for individuals to" & _
					"use, which is precisely where it is most unacceptable.  Therefore, we" & _
					"have designed this version of the GPL to prohibit the practice for those" & _
					"products.  If such problems arise substantially in other domains, we" & _
					"stand ready to extend this provision to those domains in future versions" & _
					"of the GPL, as needed to protect the freedom of users." & @CRLF & @CRLF & _
					"  Finally, every program is threatened constantly by software patents." & _
					"States should not allow patents to restrict development and use of" & _
					"software on general-purpose computers, but in those that do, we wish to" & _
					"avoid the special danger that patents applied to a free program could" & _
					"make it effectively proprietary.  To prevent this, the GPL assures that" & _
					"patents cannot be used to render the program non-free." & @CRLF & @CRLF & _
					"  The precise terms and conditions for copying, distribution and" & _
					"modification follow." & @CRLF & @CRLF & _
					"          TERMS AND CONDITIONS" & @CRLF & @CRLF & _
					"  0. Definitions." & @CRLF & @CRLF & _
					"  ""This License"" refers to version 3 of the GNU General Public License." & @CRLF & @CRLF & _
					"  ""Copyright"" also means copyright-like laws that apply to other kinds of" & _
					"works, such as semiconductor masks." & @CRLF & @CRLF & _
					"  ""The Program"" refers to any copyrightable work licensed under this" & _
					"License.  Each licensee is addressed as ""you"".  ""Licensees"" and" & _
					"""recipients"" may be individuals or organizations." & @CRLF & @CRLF & _
					"  To ""modify"" a work means to copy from or adapt all or part of the work" & _
					"in a fashion requiring copyright permission, other than the making of an" & _
					"exact copy.  The resulting work is called a ""modified version"" of the" & _
					"earlier work or a work ""based on"" the earlier work." & @CRLF & @CRLF & _
					"  A ""covered work"" means either the unmodified Program or a work based" & _
					"on the Program." & @CRLF & @CRLF & _
					"  To ""propagate"" a work means to do anything with it that, without" & _
					"permission, would make you directly or secondarily liable for" & _
					"infringement under applicable copyright law, except executing it on a" & _
					"computer or modifying a private copy.  Propagation includes copying," & _
					"distribution (with or without modification), making available to the" & _
					"public, and in some countries other activities as well." & @CRLF & @CRLF & _
					"  To ""convey"" a work means any kind of propagation that enables other" & _
					"parties to make or receive copies.  Mere interaction with a user through" & _
					"a computer network, with no transfer of a copy, is not conveying." & @CRLF & @CRLF & _
					"  An interactive user interface displays ""Appropriate Legal Notices" & _
					"to the extent that it includes a convenient and prominently visible" & _
					"feature that (1) displays an appropriate copyright notice, and (2)" & _
					"tells the user that there is no warranty for the work (except to the" & _
					"extent that warranties are provided), that licensees may convey the" & _
					"work under this License, and how to view a copy of this License.  If" & _
					"the interface presents a list of user commands or options, such as a" & _
					"menu, a prominent item in the list meets this criterion." & @CRLF & @CRLF & _
					"  1. Source Code." & @CRLF & @CRLF & _
					"  The ""source code"" for a work means the preferred form of the work" & _
					"for making modifications to it.  ""Object code"" means any non-source" & _
					"form of a work." & @CRLF & @CRLF & _
					"  A ""Standard Interface"" means an interface that either is an official" & _
					"standard defined by a recognized standards body, or, in the case of" & _
					"interfaces specified for a particular programming language, one that" & _
					"is widely used among developers working in that language." & @CRLF & @CRLF & _
					"  The ""System Libraries"" of an executable work include anything, other" & _
					"than the work as a whole, that (a) is included in the normal form of" & _
					"packaging a Major Component, but which is not part of that Major" & _
					"Component, and (b) serves only to enable use of the work with that" & _
					"Major Component, or to implement a Standard Interface for which an" & _
					"implementation is available to the public in source code form.  A" & _
					"""Major Component"", in this context, means a major essential component" & _
					"(kernel, window system, and so on) of the specific operating system" & _
					"(if any) on which the executable work runs, or a compiler used to" & _
					"produce the work, or an object code interpreter used to run it." & @CRLF & @CRLF & _
					"  The ""Corresponding Source"" for a work in object code form means all" & _
					"the source code needed to generate, install, and (for an executable" & _
					"work) run the object code and to modify the work, including scripts to" & _
					"control those activities.  However, it does not include the work's" & _
					"System Libraries, or general-purpose tools or generally available free" & _
					"programs which are used unmodified in performing those activities but" & _
					"which are not part of the work.  For example, Corresponding Source" & _
					"includes interface definition files associated with source files for" & _
					"the work, and the source code for shared libraries and dynamically" & _
					"linked subprograms that the work is specifically designed to require," & _
					"such as by intimate data communication or control flow between those" & _
					"subprograms and other parts of the work." & @CRLF & @CRLF & _
					"  The Corresponding Source need not include anything that users" & _
					"can regenerate automatically from other parts of the Corresponding" & _
					"Source." & @CRLF & @CRLF & _
					"  The Corresponding Source for a work in source code form is that" & _
					"same work." & @CRLF & @CRLF & _
					"  2. Basic Permissions." & @CRLF & @CRLF & _
					"  All rights granted under this License are granted for the term of" & _
					"copyright on the Program, and are irrevocable provided the stated" & _
					"conditions are met.  This License explicitly affirms your unlimited" & _
					"permission to run the unmodified Program.  The output from running a" & _
					"covered work is covered by this License only if the output, given its" & _
					"content, constitutes a covered work.  This License acknowledges your" & _
					"rights of fair use or other equivalent, as provided by copyright law." & @CRLF & @CRLF & _
					"  You may make, run and propagate covered works that you do not" & _
					"convey, without conditions so long as your license otherwise remains" & _
					"in force.  You may convey covered works to others for the sole purpose" & _
					"of having them make modifications exclusively for you, or provide you" & _
					"with facilities for running those works, provided that you comply with" & _
					"the terms of this License in conveying all material for which you do" & _
					"not control copyright.  Those thus making or running the covered works" & _
					"for you must do so exclusively on your behalf, under your direction" & _
					"and control, on terms that prohibit them from making any copies of" & _
					"your copyrighted material outside their relationship with you." & @CRLF & @CRLF & _
					"  Conveying under any other circumstances is permitted solely under" & _
					"the conditions stated below.  Sublicensing is not allowed; section 10" & _
					"makes it unnecessary." & @CRLF & @CRLF & _
					"  3. Protecting Users' Legal Rights From Anti-Circumvention Law." & @CRLF & @CRLF & _
					"  No covered work shall be deemed part of an effective technological" & _
					"measure under any applicable law fulfilling obligations under article" & _
					"11 of the WIPO copyright treaty adopted on 20 December 1996, or" & _
					"similar laws prohibiting or restricting circumvention of such" & _
					"measures." & @CRLF & @CRLF & _
					"  When you convey a covered work, you waive any legal power to forbid" & _
					"circumvention of technological measures to the extent such circumvention" & _
					"is effected by exercising rights under this License with respect to" & _
					"the covered work, and you disclaim any intention to limit operation or" & _
					"modification of the work as a means of enforcing, against the work's" & _
					"users, your or third parties' legal rights to forbid circumvention of" & _
					"technological measures." & @CRLF & @CRLF & _
					"  4. Conveying Verbatim Copies." & @CRLF & @CRLF & _
					"  You may convey verbatim copies of the Program's source code as you" & _
					"receive it, in any medium, provided that you conspicuously and" & _
					"appropriately publish on each copy an appropriate copyright notice;" & _
					"keep intact all notices stating that this License and any" & _
					"non-permissive terms added in accord with section 7 apply to the code;" & _
					"keep intact all notices of the absence of any warranty; and give all" & _
					"recipients a copy of this License along with the Program." & @CRLF & @CRLF & _
					"  You may charge any price or no price for each copy that you convey," & _
					"and you may offer support or warranty protection for a fee." & @CRLF & @CRLF & _
					"  5. Conveying Modified Source Versions." & @CRLF & @CRLF & _
					"  You may convey a work based on the Program, or the modifications to" & _
					"produce it from the Program, in the form of source code under the" & _
					"terms of section 4, provided that you also meet all of these conditions:" & @CRLF & @CRLF & _
					"    a) The work must carry prominent notices stating that you modified" & _
					"    it, and giving a relevant date." & @CRLF & @CRLF & _
					"    b) The work must carry prominent notices stating that it is" & _
					"    released under this License and any conditions added under section" & _
					"    7.  This requirement modifies the requirement in section 4 to" & _
					"    ""keep intact all notices""." & @CRLF & @CRLF & _
					"    c) You must license the entire work, as a whole, under this" & _
					"    License to anyone who comes into possession of a copy.  This" & _
					"    License will therefore apply, along with any applicable section 7" & _
					"    additional terms, to the whole of the work, and all its parts," & _
					"    regardless of how they are packaged.  This License gives no" & _
					"    permission to license the work in any other way, but it does not" & _
					"    invalidate such permission if you have separately received it." & @CRLF & @CRLF & _
					"    d) If the work has interactive user interfaces, each must display" & _
					"    Appropriate Legal Notices; however, if the Program has interactive" & _
					"    interfaces that do not display Appropriate Legal Notices, your" & _
					"    work need not make them do so." & @CRLF & @CRLF & _
					"  A compilation of a covered work with other separate and independent" & _
					"works, which are not by their nature extensions of the covered work," & _
					"and which are not combined with it such as to form a larger program," & _
					"in or on a volume of a storage or distribution medium, is called an" & _
					"""aggregate"" if the compilation and its resulting copyright are not" & _
					"used to limit the access or legal rights of the compilation's users" & _
					"beyond what the individual works permit.  Inclusion of a covered work" & _
					"in an aggregate does not cause this License to apply to the other" & _
					"parts of the aggregate." & @CRLF & @CRLF & _
					"  6. Conveying Non-Source Forms." & @CRLF & @CRLF & _
					"  You may convey a covered work in object code form under the terms" & _
					"of sections 4 and 5, provided that you also convey the" & _
					"machine-readable Corresponding Source under the terms of this License," & _
					"in one of these ways:" & @CRLF & @CRLF & _
					"    a) Convey the object code in, or embodied in, a physical product" & _
					"    (including a physical distribution medium), accompanied by the" & _
					"    Corresponding Source fixed on a durable physical medium" & _
					"    customarily used for software interchange." & @CRLF & @CRLF & _
					"    b) Convey the object code in, or embodied in, a physical product" & _
					"    (including a physical distribution medium), accompanied by a" & _
					"    written offer, valid for at least three years and valid for as" & _
					"    long as you offer spare parts or customer support for that product" & _
					"    model, to give anyone who possesses the object code either (1) a" & _
					"    copy of the Corresponding Source for all the software in the" & _
					"    product that is covered by this License, on a durable physical" & _
					"    medium customarily used for software interchange, for a price no" & _
					"    more than your reasonable cost of physically performing this" & _
					"    conveying of source, or (2) access to copy the" & _
					"    Corresponding Source from a network server at no charge." & @CRLF & @CRLF & _
					"    c) Convey individual copies of the object code with a copy of the" & _
					"    written offer to provide the Corresponding Source.  This" & _
					"    alternative is allowed only occasionally and noncommercially, and" & _
					"    only if you received the object code with such an offer, in accord" & @CRLF

$GNUGPL			&=	"    with subsection 6b." & @CRLF & @CRLF & _
					"    d) Convey the object code by offering access from a designated" & _
					"    place (gratis or for a charge), and offer equivalent access to the" & _
					"    Corresponding Source in the same way through the same place at no" & _
					"    further charge.  You need not require recipients to copy the" & _
					"    Corresponding Source along with the object code.  If the place to" & _
					"    copy the object code is a network server, the Corresponding Source" & _
					"    may be on a different server (operated by you or a third party)" & _
					"    that supports equivalent copying facilities, provided you maintain" & _
					"    clear directions next to the object code saying where to find the" & _
					"    Corresponding Source.  Regardless of what server hosts the" & _
					"    Corresponding Source, you remain obligated to ensure that it is" & _
					"    available for as long as needed to satisfy these requirements." & @CRLF & @CRLF & _
					"    e) Convey the object code using peer-to-peer transmission, provided" & _
					"    you inform other peers where the object code and Corresponding" & _
					"    Source of the work are being offered to the general public at no" & _
					"    charge under subsection 6d." & @CRLF & @CRLF & _
					"  A separable portion of the object code, whose source code is excluded" & _
					"from the Corresponding Source as a System Library, need not be" & _
					"included in conveying the object code work." & @CRLF & @CRLF & _
					"  A ""User Product"" is either (1) a ""consumer product"", which means any" & _
					"tangible personal property which is normally used for personal, family," & _
					"or household purposes, or (2) anything designed or sold for incorporation" & _
					"into a dwelling.  In determining whether a product is a consumer product," & _
					"doubtful cases shall be resolved in favor of coverage.  For a particular" & _
					"product received by a particular user, ""normally used"" refers to a" & _
					"typical or common use of that class of product, regardless of the status" & _
					"of the particular user or of the way in which the particular user" & _
					"actually uses, or expects or is expected to use, the product.  A product" & _
					"is a consumer product regardless of whether the product has substantial" & _
					"commercial, industrial or non-consumer uses, unless such uses represent" & _
					"the only significant mode of use of the product." & @CRLF & @CRLF & _
					"  ""Installation Information"" for a User Product means any methods," & _
					"procedures, authorization keys, or other information required to install" & _
					"and execute modified versions of a covered work in that User Product from" & _
					"a modified version of its Corresponding Source.  The information must" & _
					"suffice to ensure that the continued functioning of the modified object" & _
					"code is in no case prevented or interfered with solely because" & _
					"modification has been made." & @CRLF & @CRLF & _
					"  If you convey an object code work under this section in, or with, or" & _
					"specifically for use in, a User Product, and the conveying occurs as" & _
					"part of a transaction in which the right of possession and use of the" & _
					"User Product is transferred to the recipient in perpetuity or for a" & _
					"fixed term (regardless of how the transaction is characterized), the" & _
					"Corresponding Source conveyed under this section must be accompanied" & _
					"by the Installation Information.  But this requirement does not apply" & _
					"if neither you nor any third party retains the ability to install" & _
					"modified object code on the User Product (for example, the work has" & _
					"been installed in ROM)." & @CRLF & @CRLF & _
					"  The requirement to provide Installation Information does not include a" & _
					"requirement to continue to provide support service, warranty, or updates" & _
					"for a work that has been modified or installed by the recipient, or for" & _
					"the User Product in which it has been modified or installed.  Access to a" & _
					"network may be denied when the modification itself materially and" & _
					"adversely affects the operation of the network or violates the rules and" & _
					"protocols for communication across the network." & @CRLF & @CRLF & _
					"  Corresponding Source conveyed, and Installation Information provided," & _
					"in accord with this section must be in a format that is publicly" & _
					"documented (and with an implementation available to the public in" & _
					"source code form), and must require no special password or key for" & _
					"unpacking, reading or copying." & @CRLF & @CRLF & _
					"  7. Additional Terms." & @CRLF & @CRLF & _
					"  ""Additional permissions"" are terms that supplement the terms of this" & _
					"License by making exceptions from one or more of its conditions." & _
					"Additional permissions that are applicable to the entire Program shall" & _
					"be treated as though they were included in this License, to the extent" & _
					"that they are valid under applicable law.  If additional permissions" & _
					"apply only to part of the Program, that part may be used separately" & _
					"under those permissions, but the entire Program remains governed by" & _
					"this License without regard to the additional permissions." & @CRLF & @CRLF & _
					"  When you convey a copy of a covered work, you may at your option" & _
					"remove any additional permissions from that copy, or from any part of" & _
					"it.  (Additional permissions may be written to require their own" & _
					"removal in certain cases when you modify the work.)  You may place" & _
					"additional permissions on material, added by you to a covered work," & _
					"for which you have or can give appropriate copyright permission." & @CRLF & @CRLF & _
					"  Notwithstanding any other provision of this License, for material you" & _
					"add to a covered work, you may (if authorized by the copyright holders of" & _
					"that material) supplement the terms of this License with terms:" & @CRLF & @CRLF & _
					"    a) Disclaiming warranty or limiting liability differently from the" & _
					"    terms of sections 15 and 16 of this License; or" & @CRLF & @CRLF & _
					"    b) Requiring preservation of specified reasonable legal notices or" & _
					"    author attributions in that material or in the Appropriate Legal" & _
					"    Notices displayed by works containing it; or" & @CRLF & @CRLF & _
					"    c) Prohibiting misrepresentation of the origin of that material, or" & _
					"    requiring that modified versions of such material be marked in" & _
					"    reasonable ways as different from the original version; or" & @CRLF & @CRLF & _
					"    d) Limiting the use for publicity purposes of names of licensors or" & _
					"    authors of the material; or" & @CRLF & @CRLF & _
					"    e) Declining to grant rights under trademark law for use of some" & _
					"    trade names, trademarks, or service marks; or" & @CRLF & @CRLF & _
					"    f) Requiring indemnification of licensors and authors of that" & _
					"    material by anyone who conveys the material (or modified versions of" & _
					"    it) with contractual assumptions of liability to the recipient, for" & _
					"    any liability that these contractual assumptions directly impose on" & _
					"    those licensors and authors." & @CRLF & @CRLF & _
					"  All other non-permissive additional terms are considered ""further" & _
					"restrictions"" within the meaning of section 10.  If the Program as you" & _
					"received it, or any part of it, contains a notice stating that it is" & _
					"governed by this License along with a term that is a further" & _
					"restriction, you may remove that term.  If a license document contains" & _
					"a further restriction but permits relicensing or conveying under this" & _
					"License, you may add to a covered work material governed by the terms" & _
					"of that license document, provided that the further restriction does" & _
					"not survive such relicensing or conveying." & @CRLF & @CRLF & _
					"  If you add terms to a covered work in accord with this section, you" & _
					"must place, in the relevant source files, a statement of the" & _
					"additional terms that apply to those files, or a notice indicating" & _
					"where to find the applicable terms." & @CRLF & @CRLF & _
					"  Additional terms, permissive or non-permissive, may be stated in the" & _
					"form of a separately written license, or stated as exceptions;" & _
					"the above requirements apply either way." & @CRLF & @CRLF & _
					"  8. Termination." & @CRLF & @CRLF & _
					"  You may not propagate or modify a covered work except as expressly" & _
					"provided under this License.  Any attempt otherwise to propagate or" & _
					"modify it is void, and will automatically terminate your rights under" & _
					"this License (including any patent licenses granted under the third" & _
					"paragraph of section 11)." & @CRLF & @CRLF & _
					"  However, if you cease all violation of this License, then your" & _
					"license from a particular copyright holder is reinstated (a)" & _
					"provisionally, unless and until the copyright holder explicitly and" & _
					"finally terminates your license, and (b) permanently, if the copyright" & _
					"holder fails to notify you of the violation by some reasonable means" & _
					"prior to 60 days after the cessation." & @CRLF & @CRLF & _
					"  Moreover, your license from a particular copyright holder is" & _
					"reinstated permanently if the copyright holder notifies you of the" & _
					"violation by some reasonable means, this is the first time you have" & _
					"received notice of violation of this License (for any work) from that" & _
					"copyright holder, and you cure the violation prior to 30 days after" & _
					"your receipt of the notice." & @CRLF & @CRLF & _
					"  Termination of your rights under this section does not terminate the" & _
					"licenses of parties who have received copies or rights from you under" & _
					"this License.  If your rights have been terminated and not permanently" & _
					"reinstated, you do not qualify to receive new licenses for the same" & _
					"material under section 10." & @CRLF & @CRLF & _
					"  9. Acceptance Not Required for Having Copies." & @CRLF & @CRLF & _
					"  You are not required to accept this License in order to receive or" & _
					"run a copy of the Program.  Ancillary propagation of a covered work" & _
					"occurring solely as a consequence of using peer-to-peer transmission" & _
					"to receive a copy likewise does not require acceptance.  However," & _
					"nothing other than this License grants you permission to propagate or" & _
					"modify any covered work.  These actions infringe copyright if you do" & _
					"not accept this License.  Therefore, by modifying or propagating a" & _
					"covered work, you indicate your acceptance of this License to do so." & @CRLF & @CRLF & _
					"  10. Automatic Licensing of Downstream Recipients." & @CRLF & @CRLF & _
					"  Each time you convey a covered work, the recipient automatically" & _
					"receives a license from the original licensors, to run, modify and" & _
					"propagate that work, subject to this License.  You are not responsible" & _
					"for enforcing compliance by third parties with this License." & @CRLF & @CRLF & _
					"  An ""entity transaction"" is a transaction transferring control of an" & _
					"organization, or substantially all assets of one, or subdividing an" & _
					"organization, or merging organizations.  If propagation of a covered" & _
					"work results from an entity transaction, each party to that" & _
					"transaction who receives a copy of the work also receives whatever" & _
					"licenses to the work the party's predecessor in interest had or could" & _
					"give under the previous paragraph, plus a right to possession of the" & _
					"Corresponding Source of the work from the predecessor in interest, if" & _
					"the predecessor has it or can get it with reasonable efforts." & @CRLF & @CRLF & _
					"  You may not impose any further restrictions on the exercise of the" & _
					"rights granted or affirmed under this License.  For example, you may" & _
					"not impose a license fee, royalty, or other charge for exercise of" & _
					"rights granted under this License, and you may not initiate litigation" & _
					"(including a cross-claim or counterclaim in a lawsuit) alleging that" & _
					"any patent claim is infringed by making, using, selling, offering for" & _
					"sale, or importing the Program or any portion of it." & @CRLF & @CRLF & _
					"  11. Patents." & @CRLF & @CRLF & _
					"  A ""contributor"" is a copyright holder who authorizes use under this" & _
					"License of the Program or a work on which the Program is based.  The" & _
					"work thus licensed is called the contributor's ""contributor version""." & @CRLF & @CRLF & _
					"  A contributor's ""essential patent claims"" are all patent claims" & _
					"owned or controlled by the contributor, whether already acquired or" & _
					"hereafter acquired, that would be infringed by some manner, permitted" & _
					"by this License, of making, using, or selling its contributor version," & _
					"but do not include claims that would be infringed only as a" & _
					"consequence of further modification of the contributor version.  For" & _
					"purposes of this definition, ""control"" includes the right to grant" & _
					"patent sublicenses in a manner consistent with the requirements of" & _
					"this License." & @CRLF & @CRLF & _
					"  Each contributor grants you a non-exclusive, worldwide, royalty-free" & _
					"patent license under the contributor's essential patent claims, to" & _
					"make, use, sell, offer for sale, import and otherwise run, modify and" & _
					"propagate the contents of its contributor version." & @CRLF & @CRLF & _
					"  In the following three paragraphs, a ""patent license"" is any express" & _
					"agreement or commitment, however denominated, not to enforce a patent" & _
					"(such as an express permission to practice a patent or covenant not to" & _
					"sue for patent infringement).  To ""grant"" such a patent license to a" & _
					"party means to make such an agreement or commitment not to enforce a" & _
					"patent against the party." & @CRLF & @CRLF & _
					"  If you convey a covered work, knowingly relying on a patent license," & _
					"and the Corresponding Source of the work is not available for anyone" & _
					"to copy, free of charge and under the terms of this License, through a" & _
					"publicly available network server or other readily accessible means," & _
					"then you must either (1) cause the Corresponding Source to be so" & _
					"available, or (2) arrange to deprive yourself of the benefit of the" & _
					"patent license for this particular work, or (3) arrange, in a manner" & _
					"consistent with the requirements of this License, to extend the patent" & _
					"license to downstream recipients.  ""Knowingly relying"" means you have" & _
					"actual knowledge that, but for the patent license, your conveying the" & _
					"covered work in a country, or your recipient's use of the covered work" & _
					"in a country, would infringe one or more identifiable patents in that" & _
					"country that you have reason to believe are valid." & @CRLF & @CRLF & _
					"  If, pursuant to or in connection with a single transaction or" & _
					"arrangement, you convey, or propagate by procuring conveyance of, a" & _
					"covered work, and grant a patent license to some of the parties" & _
					"receiving the covered work authorizing them to use, propagate, modify" & _
					"or convey a specific copy of the covered work, then the patent license" & _
					"you grant is automatically extended to all recipients of the covered" & _
					"work and works based on it." & @CRLF & @CRLF & _
					"  A patent license is ""discriminatory"" if it does not include within" & _
					"the scope of its coverage, prohibits the exercise of, or is" & _
					"conditioned on the non-exercise of one or more of the rights that are" & _
					"specifically granted under this License.  You may not convey a covered" & _
					"work if you are a party to an arrangement with a third party that is" & _
					"in the business of distributing software, under which you make payment" & _
					"to the third party based on the extent of your activity of conveying" & _
					"the work, and under which the third party grants, to any of the" & _
					"parties who would receive the covered work from you, a discriminatory" & _
					"patent license (a) in connection with copies of the covered work" & _
					"conveyed by you (or copies made from those copies), or (b) primarily" & _
					"for and in connection with specific products or compilations that" & _
					"contain the covered work, unless you entered into that arrangement," & _
					"or that patent license was granted, prior to 28 March 2007." & @CRLF & @CRLF & _
					"  Nothing in this License shall be construed as excluding or limiting" & _
					"any implied license or other defenses to infringement that may" & _
					"otherwise be available to you under applicable patent law." & @CRLF & @CRLF & _
					"  12. No Surrender of Others' Freedom." & @CRLF & @CRLF

$GNUGPL			&=	"  If conditions are imposed on you (whether by court order, agreement or" & _
					"otherwise) that contradict the conditions of this License, they do not" & _
					"excuse you from the conditions of this License.  If you cannot convey a" & _
					"covered work so as to satisfy simultaneously your obligations under this" & _
					"License and any other pertinent obligations, then as a consequence you may" & _
					"not convey it at all.  For example, if you agree to terms that obligate you" & _
					"to collect a royalty for further conveying from those to whom you convey" & _
					"the Program, the only way you could satisfy both those terms and this" & _
					"License would be to refrain entirely from conveying the Program." & @CRLF & @CRLF & _
					"  13. Use with the GNU Affero General Public License." & @CRLF & @CRLF & _
					"  Notwithstanding any other provision of this License, you have" & _
					"permission to link or combine any covered work with a work licensed" & _
					"under version 3 of the GNU Affero General Public License into a single" & _
					"combined work, and to convey the resulting work.  The terms of this" & _
					"License will continue to apply to the part which is the covered work," & _
					"but the special requirements of the GNU Affero General Public License," & _
					"section 13, concerning interaction through a network will apply to the" & _
					"combination as such." & @CRLF & @CRLF & _
					"  14. Revised Versions of this License." & @CRLF & @CRLF & _
					"  The Free Software Foundation may publish revised and/or new versions of" & _
					"the GNU General Public License from time to time.  Such new versions will" & _
					"be similar in spirit to the present version, but may differ in detail to" & _
					"address new problems or concerns." & @CRLF & @CRLF & _
					"  Each version is given a distinguishing version number.  If the" & _
					"Program specifies that a certain numbered version of the GNU General" & _
					"Public License ""or any later version"" applies to it, you have the" & _
					"option of following the terms and conditions either of that numbered" & _
					"version or of any later version published by the Free Software" & _
					"Foundation.  If the Program does not specify a version number of the" & _
					"GNU General Public License, you may choose any version ever published" & _
					"by the Free Software Foundation." & @CRLF & @CRLF & _
					"  If the Program specifies that a proxy can decide which future" & _
					"versions of the GNU General Public License can be used, that proxy's" & _
					"public statement of acceptance of a version permanently authorizes you" & _
					"to choose that version for the Program." & @CRLF & @CRLF & _
					"  Later license versions may give you additional or different" & _
					"permissions.  However, no additional obligations are imposed on any" & _
					"author or copyright holder as a result of your choosing to follow a" & _
					"later version." & @CRLF & @CRLF & _
					"  15. Disclaimer of Warranty." & @CRLF & @CRLF & _
					"  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY" & _
					"APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT" & @CRLF

$GNUGPL			&=	"HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM ""AS IS"" WITHOUT WARRANTY" & _
					"OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO," & _
					"THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR" & _
					"PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM" & _
					"IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF" & _
					"ALL NECESSARY SERVICING, REPAIR OR CORRECTION." & @CRLF & @CRLF & _
					"  16. Limitation of Liability." & @CRLF & @CRLF & _
					"  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING" & _
					"WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS" & _
					"THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY" & _
					"GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE" & _
					"USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF" & _
					"DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD" & _
					"PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS)," & _
					"EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF" & _
					"SUCH DAMAGES." & @CRLF & @CRLF & _
					"  17. Interpretation of Sections 15 and 16." & @CRLF & @CRLF & _
					"  If the disclaimer of warranty and limitation of liability provided" & _
					"above cannot be given local legal effect according to their terms," & _
					"reviewing courts shall apply local law that most closely approximates" & _
					"an absolute waiver of all civil liability in connection with the" & _
					"Program, unless a warranty or assumption of liability accompanies a" & _
					"copy of the Program in return for a fee." & @CRLF & @CRLF & _
					"       END OF TERMS AND CONDITIONS"
	Return $GNUGPL
EndFunc