#include-once

Func _ImageResize($BitmapIn, $iW, $iH, $hBitmap = False, $freeMemory = True)
    Local $hWnd, $hDC, $hBMP, $Image1, $Image2, $hGraphic, $Retour
	$hWnd = _WinAPI_GetDesktopWindow()
    $hDC = _WinAPI_GetDC($hWnd)
    $hBMP = _WinAPI_CreateCompatibleBitmap($hDC, $iW, $iH)
    _WinAPI_ReleaseDC($hWnd, $hDC)
    $Image1 = _GDIPlus_BitmapCreateFromHBITMAP ($hBMP)
	If($hBitmap) Then
		$Image2 = _GDIPlus_BitmapCreateFromHBITMAP($BitmapIn)
	Else
		$Image2 = $BitmapIn
	EndIf
    $hGraphic = _GDIPlus_ImageGetGraphicsContext ($Image1)
    _GDIPLus_GraphicsDrawImageRect($hGraphic, $Image2, 0, 0, $iW, $iH)
	If($hBitmap) Then
		$Retour = _GDIPlus_BitmapCreateHBITMAPFromBitmap($Image1)
		_GDIPlus_ImageDispose($Image1)
	Else
		$Retour = $Image1
	EndIf
	If($freeMemory) Then
		If($hBitmap) Then
			_WinAPI_DeleteObject($BitmapIn)
		Else
			_GDIPlus_ImageDispose($BitmapIn)
		EndIf
	EndIf
    _GDIPlus_GraphicsDispose ($hGraphic)
    _WinAPI_DeleteObject($hBMP)
	Return $retour
EndFunc
