#include <GDIPlus.au3>
#include <StructureConstants.au3>
#include <WinAPI.au3>

Func SetBitmap($hGUI, $Image, $iOpacity = 255)
	Local $hScrDC, $hMemDC, $hBitmap, $hOld, $pSize, $tSize, $pSource, $tSource, $pBlend, $tBlend
	Local $hImage = _GDIPlus_ImageLoadFromFile($Image)
	$hScrDC  = _WinAPI_GetDC(0)
	$hMemDC  = _WinAPI_CreateCompatibleDC($hScrDC)
	$hBitmap = _GDIPlus_BitmapCreateHBITMAPFromBitmap($hImage)
	$hOld    = _WinAPI_SelectObject($hMemDC, $hBitmap)
	$tSize   = DllStructCreate($tagSIZE)
	$pSize   = DllStructGetPtr($tSize  )
	DllStructSetData($tSize, "X", _GDIPlus_ImageGetWidth ($hImage))
	DllStructSetData($tSize, "Y", _GDIPlus_ImageGetHeight($hImage))
	$tSource = DllStructCreate($tagPOINT)
	$pSource = DllStructGetPtr($tSource)
	$tBlend  = DllStructCreate($tagBLENDFUNCTION)
	$pBlend  = DllStructGetPtr($tBlend)
	DllStructSetData($tBlend, "Alpha" , $iOpacity    )
	DllStructSetData($tBlend, "Format", 1)
	_WinAPI_UpdateLayeredWindow($hGUI, $hScrDC, 0, $pSize, $hMemDC, $pSource, 0, $pBlend, $ULW_ALPHA)
	_GDIPlus_ImageDispose($hImage)
	_WinAPI_ReleaseDC   (0, $hScrDC)
	_WinAPI_SelectObject($hMemDC, $hOld)
	_WinAPI_DeleteObject($hBitmap)
	_WinAPI_DeleteDC    ($hMemDC)
EndFunc